Bug 35856 - --whatprovides breaks for invalid param
--whatprovides breaks for invalid param
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2001-04-12 23:29 EDT by James Manning
Modified: 2015-01-07 18:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-12 23:29:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Manning 2001-04-12 23:29:32 EDT
This is Seawolf installed with up2date against ftp.beta

[root@laptop /root]# up2date --whatprovides bash
[root@laptop /root]# up2date --whatprovides dcopserver
Traceback (innermost last):
  File "/usr/sbin/up2date", line 859, in ?
  File "/usr/sbin/up2date", line 814, in main
    return whatprovides(depslist)
  File "/usr/sbin/up2date", line 403, in whatprovides
    provides = up2date.solveDep(deps_list)
  File "/usr/share/rhn/up2date/up2date.py", line 888, in solveDep
    raise CommunicationError(f.faultString)
up2date.CommunicationError: Error communicating with server.  The message was:

        An unexpected error has occured while processing your request. Please
        try again later or submit a bug report tp rhns_help@redhat.com.
        If you choose to submit the bug report, please be sure to include
        details of what were you trying to do when this error occured and
        on how to reproduce this problem.
Could not solve dependency dcopserver
Comment 1 Jay Turner 2001-04-13 09:58:25 EDT
This is an issue with the beta server and not with up2date itself.  I am able to
run 'up2date --whatprovides dcopserver' against the internal test machines
(which have the same code base as the live servers) and get back a null list.
Comment 2 James Manning 2001-04-13 10:18:41 EDT
so what are we supposed to file against with up2date server problems?

FWIW, Adrian wanted me to create this bugzilla entry, although I'm not sure why

Note You need to log in before you can comment on or make changes to this bug.